## ubuntu-advantage-tools 32.3.1~24.04

=== debian/changelog ===
ubuntu-advantage-tools (32.3.1~24.04) noble; urgency=medium

  * Adjust the esm_cache apparmor profile to allow reading of dpkg data
    directory (LP: #2067810):
    - d/apparmor/ubuntu_pro_esm_cache.jinja2: allow /var/lib/dpkg/** for dpkg
      and other profiles
    - features/steps/machines.py: trigger the bug in the behave test suite,
      which tests the fix
  * version.py: update version to 32.3.1

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 07 Jun 2024 14:52:55 -0300

ubuntu-advantage-tools (32.3~24.04) noble; urgency=medium

  * Backport 32.3 to noble (LP: #2060732)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 28 May 2024 15:15:48 -0300
