## ubuntu-advantage-tools 33~18.04

=== debian/changelog ===
ubuntu-advantage-tools (33~18.04) bionic; urgency=medium

  * Backport 33 to bionic (LP: #2069237)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 04 Jul 2024 09:46:00 -0300
