## ubuntu-advantage-tools 33~20.04

=== debian/changelog ===
ubuntu-advantage-tools (33~20.04) focal; urgency=medium

  * Backport 33 to focal (LP: #2069237)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 04 Jul 2024 09:46:09 -0300
