## ubuntu-advantage-tools 33~22.04

=== debian/changelog ===
ubuntu-advantage-tools (33~22.04) jammy; urgency=medium

  * Backport 33 to jammy (LP: #2069237)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 04 Jul 2024 09:46:18 -0300
