## ubuntu-advantage-tools 33~24.04

=== debian/changelog ===
ubuntu-advantage-tools (33~24.04) noble; urgency=medium

  * Backport 33 to noble (LP: #2069237)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 04 Jul 2024 09:46:26 -0300
