## ubuntu-advantage-tools 34~16.04

=== debian/changelog ===
ubuntu-advantage-tools (34~16.04) xenial; urgency=medium

  * Backport 34 to xenial (LP: #2075543)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Fri, 06 Sep 2024 19:58:18 -0400

ubuntu-advantage-tools (34) oracular; urgency=medium

  * d/rules: check that version.py is consistent with changelog (GH: #3154)
  * New upstream release 34: (LP: #2075543)
    - apt-hook: redirect errors away from users (LP: #2074211, LP: #2055239)
    - detach: ensure apt bearer tokens are always cleaned up
    - fips-preview: add warnings and prompts similar to fips and fips-updates
    - fips and realtime-kernel: add warning when the new kernel may have
      different hardware support than the current kernel based on the flavor
      (GH: #3115)
    - fix: use more reliable api query param when looking up CVE fixes
    - help:
      + change help output for base pro command
      + remove service descriptions from output (GH: #3126)
      + show help content when run without a subcommand
    - timer: recover from corrupted job status file (LP: #2078737)
    - update manpage

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 29 Jul 2024 15:48:22 -0500

ubuntu-advantage-tools (33.2) oracular; urgency=medium

  * d/apparmor: add apt-news access to package information on the system
    (LP: #2072489) (GH: #3193)

 -- Lucas Moura <lucas.moura@canonical.com>  Wed, 17 Jul 2024 09:50:56 -0300

ubuntu-advantage-tools (33.1) oracular; urgency=medium

  * New upstream release 33.1: (LP: #2060769)
    - system:
      + always pass C.UTF8 as the language when calling a subprocess
      + ignore utf-8 decode errors on subprocess output

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 10 Jul 2024 16:43:02 -0300
