=== debian/changelog ===
ubuntu-advantage-tools (34~18.04) bionic; urgency=medium

  * Backport 34 to bionic (LP: #2075543)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Fri, 06 Sep 2024 19:58:19 -0400
