## ubuntu-advantage-tools 34~20.04

=== debian/changelog ===
ubuntu-advantage-tools (34~20.04) focal; urgency=medium

  * Backport 34 to focal (LP: #2075543)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Fri, 06 Sep 2024 19:58:21 -0400
