=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 include /etc/os-release
 
 # see https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/1840091/comments/3
+
+MISC_BREAKS=""
 
 # Bionic and Xenial each have older versions of distro-info that don't support
 # the flag --supported-esm. Those versions are 0.18 and 0.14build1,
@@ -18,12 +20,20 @@
 DISTRO_INFO_DEPS=distro-info (>= 0.14ubuntu0.2),
 else ifeq (${VERSION_ID},"18.04")
 APT_PKG_DEPS=apt (>= 1.6.11), apt-utils (>= 1.6.11), libapt-inst2.0 (>= 1.6.11), libapt-pkg5.0 (>= 1.6.11),
+else ifeq (${VERSION_ID},"24.04")
+# Noble python3-minimal has a bug that can break upgrades on systems with non-utf-translations
+# https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/2075337
+MISC_BREAKS=python3-minimal (<< 3.12.3-0ubuntu2~)
 endif
 
 %:
 	dh $@ --with python3,bash-completion,systemd --buildsystem=pybuild
 
 override_dh_auto_build:
+	# fail early if version.py wasn't updated to match d/changelog's version
+	# only take into account the actual upstream version, discarding ubuntu and
+	# backport suffixes
+	python3 tools/check-versions-are-consistent.py
 	dh_auto_build
 	make -C apt-hook build
 	make -C debian/po build
@@ -40,6 +50,7 @@
 
 override_dh_gencontrol:
 	echo "extra:Depends=$(APT_PKG_DEPS) $(DISTRO_INFO_DEPS)" >> debian/ubuntu-pro-client.substvars
+	echo "misc:Breaks=$(MISC_BREAKS)" >> debian/ubuntu-pro-client.substvars
 	dh_gencontrol
 
 override_dh_systemd_enable:
