## ubuntu-advantage-tools 34~22.04

=== debian/changelog ===
ubuntu-advantage-tools (34~22.04) jammy; urgency=medium

  * Backport 34 to jammy (LP: #2075543)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Fri, 06 Sep 2024 19:58:22 -0400
