## ubuntu-advantage-tools 34~24.04

=== debian/changelog ===
ubuntu-advantage-tools (34~24.04) noble; urgency=medium

  * Backport 34 to noble (LP: #2075543)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Fri, 06 Sep 2024 19:58:23 -0400
