## ubuntu-advantage-tools 34.1.2

=== debian/changelog ===
ubuntu-advantage-tools (34.1.2) oracular; urgency=medium

  * check-versions-are-consistent.py: fix regexp to cope with X.Y.Z version
    formats
  * version.py: bump to 34.1.2

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 04 Oct 2024 17:06:07 -0300

ubuntu-advantage-tools (34.1.1) oracular; urgency=medium

  * Bump version.py.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 04 Oct 2024 20:34:56 +0100

ubuntu-advantage-tools (34.1) oracular; urgency=medium

  * Drop direct dependency on python3-pkg-resources to resolve priority
    mismatch (LP: #2083665)

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 04 Oct 2024 17:51:47 +0100
