## ubuntu-advantage-tools 35.1ubuntu0~16.04

=== debian/changelog ===
ubuntu-advantage-tools (35.1ubuntu0~16.04) xenial; urgency=medium

  * Backport 35.1ubuntu0 to xenial (LP: #2106660)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 10 Apr 2025 10:38:31 -0300

ubuntu-advantage-tools (35.1ubuntu0) plucky; urgency=medium

  * apt: support ESM snapshots by adding snapshot URLs for ESM repositories
    to the authentication file (released in version 35)
  * lxd: store the configuration in /var/lib/ubuntu-advantage instead of
    /var/lib/ubuntu-pro (LP: #2106660)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 09 Apr 2025 13:19:50 -0300
