## ubuntu-advantage-tools 35.1ubuntu0~18.04

=== debian/changelog ===
ubuntu-advantage-tools (35.1ubuntu0~18.04) bionic; urgency=medium

  * Backport 35.1ubuntu0 to bionic (LP: #2106660)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 10 Apr 2025 10:38:34 -0300
