## ubuntu-advantage-tools 36ubuntu0~18.04

=== debian/changelog ===
ubuntu-advantage-tools (36ubuntu0~18.04) bionic; urgency=medium

  * Backport 36ubuntu0 to bionic (LP: #2112382)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 24 Jun 2025 09:20:05 -0300
