## ubuntu-advantage-tools 36ubuntu0~20.04

=== debian/changelog ===
ubuntu-advantage-tools (36ubuntu0~20.04) focal; urgency=medium

  * Backport 36ubuntu0 to focal (LP: #2112382)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 24 Jun 2025 09:20:07 -0300
