## ubuntu-advantage-tools 36ubuntu0~22.04

=== debian/changelog ===
ubuntu-advantage-tools (36ubuntu0~22.04) jammy; urgency=medium

  * Backport 36ubuntu0 to jammy (LP: #2112382)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 24 Jun 2025 09:20:09 -0300
