## ubuntu-advantage-tools 36ubuntu0~24.04

=== debian/changelog ===
ubuntu-advantage-tools (36ubuntu0~24.04) noble; urgency=medium

  * Backport 36ubuntu0 to noble (LP: #2112382)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 24 Jun 2025 09:20:12 -0300
