## ubuntu-advantage-tools 36ubuntu0~24.10

=== debian/changelog ===
ubuntu-advantage-tools (36ubuntu0~24.10) oracular; urgency=medium

  * Backport 36ubuntu0 to oracular (LP: #2112382)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 24 Jun 2025 09:20:14 -0300
