## ubuntu-advantage-tools 36ubuntu0~25.04

=== debian/changelog ===
ubuntu-advantage-tools (36ubuntu0~25.04) plucky; urgency=medium

  * Backport 36ubuntu0 to plucky (LP: #2112382)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 24 Jun 2025 09:20:16 -0300
