## ubuntu-advantage-tools 37ubuntu0~18.04

=== debian/changelog ===
ubuntu-advantage-tools (37ubuntu0~18.04) bionic; urgency=medium

  * Backport 37ubuntu0 to bionic (LP: #2125453)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 01 Oct 2025 15:35:54 -0300
