## ubuntu-advantage-tools 37ubuntu0~20.04

=== debian/changelog ===
ubuntu-advantage-tools (37ubuntu0~20.04) focal; urgency=medium

  * Backport 37ubuntu0 to focal (LP: #2125453)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 01 Oct 2025 15:35:57 -0300
