## ubuntu-advantage-tools 37ubuntu0~22.04

=== debian/changelog ===
ubuntu-advantage-tools (37ubuntu0~22.04) jammy; urgency=medium

  * Backport 37ubuntu0 to jammy (LP: #2125453)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 01 Oct 2025 15:35:59 -0300
