## ubuntu-advantage-tools 37ubuntu0~24.04

=== debian/changelog ===
ubuntu-advantage-tools (37ubuntu0~24.04) noble; urgency=medium

  * Backport 37ubuntu0 to noble (LP: #2125453)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 01 Oct 2025 15:36:02 -0300
