## ubuntu-advantage-tools 37ubuntu0~25.04

=== debian/changelog ===
ubuntu-advantage-tools (37ubuntu0~25.04) plucky; urgency=medium

  * Backport 37ubuntu0 to plucky (LP: #2125453)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 01 Oct 2025 15:36:04 -0300
