## ubuntu-advantage-tools 37.1ubuntu0~16.04

=== debian/changelog ===
ubuntu-advantage-tools (37.1ubuntu0~16.04) xenial; urgency=medium

  * Backport 37.1ubuntu0 to xenial (LP: #2129712)

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 27 Oct 2025 09:41:59 -0300

ubuntu-advantage-tools (37.1ubuntu0) resolute; urgency=medium

  * do-release-upgrade: immediately release the APT lock acquired to run the
    post-upgrade hook (LP: #2129712)

 -- Renan Rodrigo <rr@ubuntu.com>  Thu, 23 Oct 2025 16:30:36 -0300
