## ubuntu-advantage-tools 37.1ubuntu0~18.04

=== debian/changelog ===
ubuntu-advantage-tools (37.1ubuntu0~18.04) bionic; urgency=medium

  * Backport 37.1ubuntu0 to bionic (LP: #2129712)

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 27 Oct 2025 09:42:07 -0300
