## ubuntu-advantage-tools 37.1ubuntu0~20.04

=== debian/changelog ===
ubuntu-advantage-tools (37.1ubuntu0~20.04) focal; urgency=medium

  * Backport 37.1ubuntu0 to focal (LP: #2129712)

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 27 Oct 2025 09:42:09 -0300
