## ubuntu-advantage-tools 37.1ubuntu0~22.04

=== debian/changelog ===
ubuntu-advantage-tools (37.1ubuntu0~22.04) jammy; urgency=medium

  * Backport 37.1ubuntu0 to jammy (LP: #2129712)

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 27 Oct 2025 09:42:11 -0300
