## ubuntu-advantage-tools 37.1ubuntu0~24.04

=== debian/changelog ===
ubuntu-advantage-tools (37.1ubuntu0~24.04) noble; urgency=medium

  * Backport 37.1ubuntu0 to noble (LP: #2129712)

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 27 Oct 2025 09:42:14 -0300
