## ubuntu-advantage-tools 37.1ubuntu0~25.04

=== debian/changelog ===
ubuntu-advantage-tools (37.1ubuntu0~25.04) plucky; urgency=medium

  * Backport 37.1ubuntu0 to plucky (LP: #2129712)

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 27 Oct 2025 09:42:17 -0300
