## ubuntu-advantage-tools 37.1ubuntu0~25.10

=== debian/changelog ===
ubuntu-advantage-tools (37.1ubuntu0~25.10) questing; urgency=medium

  * Backport 37.1ubuntu0 to questing (LP: #2129712)

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 27 Oct 2025 09:42:19 -0300
